#game button {
    float: left;
    clear: both;
}

#game-play-wrapper {
    width: 100%;
    min-height: 100px;
}

#game-head {
    width: 690px;
    height: 110px;
    margin: 0 auto;
    border-top: 3px solid #303234;
    border-left: 3px solid #303234;
    border-right: 3px solid #303234;
    background-color: #39393B;
    background-image: url('../img/game/game_header.png');
}

#game-head:after {
    content: '';
    display: block;
    width: 690px;
    height: 110px;
    background: rgba(58, 58, 58, 0.5);
    background-image: radial-gradient(black 33%, transparent 33%);
    background-size: 2px 2px;
    margin-top: -103px;
}

#game-head h2 {
    text-align: center;
    color: #fff;
    text-shadow: 1px 1px 1px #65666D;
    font-size: 2rem;
    margin-top: 28px;
}

#game-footer {
    width: 690px;
    height: 250px;
    margin: 0 auto 2rem auto;
    background-color: #232324;
    color: #fff;
    border-left: 3px solid #303234;
    border-right: 3px solid #303234;
    border-bottom: 3px solid #303234;
}

#game-footer .left {
    width: 40%;
    float: left;
    background-color: #353535;
    height: 100%;
}

#game-footer .right {
    width: 57%;
    float: right;
    background-color: #353535;
    height: 100%;
    border-left: 3px solid #303234;
    padding-left: 1rem;
}

#game-footer .congratulations {
    display: none;
}

#game-footer .right p {
    font-size: 1.1rem;
    padding: 0.4rem 0.6rem 0.4rem 0;
}

#game-footer .right h3 {
    margin-bottom: 10px;
}

#game-play {
    width: 690px;
    margin: 0 auto;
    background-color: #001623;
    border: 3px solid #303234;
}

#game-play:after { 
   content: " ";
   display: block; 
   height: 0; 
   clear: both;
}

#game-play ul[class*="slot"] {
    width: 196px;
    height: 112px;
    overflow: hidden;
    float: left;
    margin-left: 1.4rem;
    padding: 0;
    border: 2px solid #D2D4D7;
    border-radius: 3px;
    list-style: none;
}

#game-play ul[class*="slot"]:last-child {
    margin-right: 1.4rem;
}

#game-play ul[class*="slot"] li img {
    width: 196px;
    height: 112px;
}


.slotMachineNoTransition {
    transition: none !important;
}

#win-alert {
    width: 50%;
    height: 50%;
    visibility: hidden;
    color: #fff;
    background-color: #51AF1F;
}

.slotMachineBlurFast {
    filter: blur(5px);
}

.slotMachineBlurMedium {
    filter: blur(3px);
}

.slotMachineBlurSlow {
    filter: blur(2px);
}

.slotMachineBlurTurtle {
    filter: blur(1px);
}

.slotMachineGradient {
    -webkit-mask-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(0, 0, 0, 0)), color-stop(25%, rgba(0, 0, 0, 1)), color-stop(75%, rgba(0, 0, 0, 1)), color-stop(100%, rgba(0, 0, 0, 0)));
    mask: url("data:image/svg+xml;utf8,<svg version="1.1" xmlns="http: // www.w3.org/2000/svg" width="0" height="0"><mask id="slotMachineFadeMask" maskUnits="objectBoundingBox" maskContentUnits="objectBoundingBox"><linearGradient id="slotMachineFadeGradient" gradientUnits="objectBoundingBox" x="0" y="0"><stop stop-color="white" stop-opacity="0" offset="0"></stop><stop stop-color="white" stop-opacity="1" offset="0.25"></stop><stop stop-color="white" stop-opacity="1" offset="0.75"></stop><stop stop-color="white" stop-opacity="0" offset="1"></stop></linearGradient><rect x="0" y="-1" width="1" height="1" transform="rotate(90)" fill="url(#slotMachineFadeMask)"></rect></mask></svg>#slotMachineFadeMask");
}


/*
    Slog Trigger
*/

/*#slot-trigger #start-game {
    background-color: transparent;
    width: 25px;
    height: 25px;
    border-radius: 50%;
}*/

#slot-trigger {
    cursor: pointer;
    height: 85px;
    right: 254px;
    position: absolute;
    width: 37px;
    margin-top: 12px;
}

#slot-trigger div {
    position: absolute;
    top: 0;
}

#slot-trigger .ring1 {
    background: #282828;
    background: -moz-linear-gradient(top, #282828 0%, #959595 14%, #d1d1d1 37%, #bababa 49%, #959595 67%, #212121 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#282828), color-stop(14%,#959595), color-stop(37%,#d1d1d1), color-stop(49%,#bababa), color-stop(67%,#959595), color-stop(100%,#212121));
    background: -webkit-linear-gradient(top, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    background: -o-linear-gradient(top, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    background: -ms-linear-gradient(top, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    background: linear-gradient(to bottom, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    -moz-border-radius: 0 2px 2px 0;
    -webkit-border-radius: 0 2px 2px 0;
    border-radius: 0 2px 2px 0;
    -moz-box-shadow: inset 0 2px 3px rgba(0, 0, 0, 0.8);
    -webkit-box-shadow: inset 0 2px 3px rgba(0, 0, 0, 0.8);
    box-shadow: inset 0 2px 3px rgba(0, 0, 0, 0.8);
    height: 150%;
    left: 0;
    width: 12px;
    z-index: 2;
}

#slot-trigger .ring1 .shadow {
    background: -moz-linear-gradient(top,  rgba(149,149,149,0.2) 0%, rgba(13,13,13,0.18) 46%, rgba(1,1,1,0.18) 50%, rgba(10,10,10,0.18) 53%, rgba(78,78,78,0.17) 76%, rgba(56,56,56,0.16) 87%, rgba(27,27,27,0.15) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(149,149,149,0.2)), color-stop(46%,rgba(13,13,13,0.18)), color-stop(50%,rgba(1,1,1,0.18)), color-stop(53%,rgba(10,10,10,0.18)), color-stop(76%,rgba(78,78,78,0.17)), color-stop(87%,rgba(56,56,56,0.16)), color-stop(100%,rgba(27,27,27,0.15)));
    background: -webkit-linear-gradient(top,  rgba(149,149,149,0.2) 0%,rgba(13,13,13,0.18) 46%,rgba(1,1,1,0.18) 50%,rgba(10,10,10,0.18) 53%,rgba(78,78,78,0.17) 76%,rgba(56,56,56,0.16) 87%,rgba(27,27,27,0.15) 100%);
    background: -o-linear-gradient(top,  rgba(149,149,149,0.2) 0%,rgba(13,13,13,0.18) 46%,rgba(1,1,1,0.18) 50%,rgba(10,10,10,0.18) 53%,rgba(78,78,78,0.17) 76%,rgba(56,56,56,0.16) 87%,rgba(27,27,27,0.15) 100%);
    background: -ms-linear-gradient(top,  rgba(149,149,149,0.2) 0%,rgba(13,13,13,0.18) 46%,rgba(1,1,1,0.18) 50%,rgba(10,10,10,0.18) 53%,rgba(78,78,78,0.17) 76%,rgba(56,56,56,0.16) 87%,rgba(27,27,27,0.15) 100%);
    background: linear-gradient(to bottom,  rgba(149,149,149,0.2) 0%,rgba(13,13,13,0.18) 46%,rgba(1,1,1,0.18) 50%,rgba(10,10,10,0.18) 53%,rgba(78,78,78,0.17) 76%,rgba(56,56,56,0.16) 87%,rgba(27,27,27,0.15) 100%);
    -moz-border-radius: 0 2px 2px 0;
    -webkit-border-radius: 0 2px 2px 0;
    border-radius: 0 2px 2px 0;
    height: 50%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 12px;
    z-index: 1;
}

#slot-trigger .ring2 {
    background: #282828;
    background: -moz-linear-gradient(top, #282828 0%, #959595 14%, #d1d1d1 37%, #bababa 49%, #959595 67%, #212121 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#282828), color-stop(14%,#959595), color-stop(37%,#d1d1d1), color-stop(49%,#bababa), color-stop(67%,#959595), color-stop(100%,#212121));
    background: -webkit-linear-gradient(top, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    background: -o-linear-gradient(top, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    background: -ms-linear-gradient(top, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    background: linear-gradient(to bottom, #282828 0%,#959595 14%,#d1d1d1 37%,#bababa 49%,#959595 67%,#212121 100%);
    -moz-border-radius: 0 2px 2px 0;
    -webkit-border-radius: 0 2px 2px 0;
    border-radius: 0 2px 2px 0;
    -moz-box-shadow: inset 0 2px 3px rgba(0, 0, 0, 0.8);
    -webkit-box-shadow: inset 0 2px 3px rgba(0, 0, 0, 0.8);
    box-shadow: inset 0 2px 3px rgba(0, 0, 0, 0.8);
    height: 130%;
    left: 12px;
    overflow: hidden;
    top: 10%;
    width: 12px;
    z-index: 1;
}

#slot-trigger .ring2 .shadow {
    background: -moz-linear-gradient(top,  rgba(149,149,149,0.15) 0%, rgba(13,13,13,0.15) 46%, rgba(1,1,1,0.15) 50%, rgba(10,10,10,0.15) 53%, rgba(78,78,78,0.15) 76%, rgba(56,56,56,0.15) 87%, rgba(27,27,27,0.15) 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(149,149,149,0.15)), color-stop(46%,rgba(13,13,13,0.15)), color-stop(50%,rgba(1,1,1,0.15)), color-stop(53%,rgba(10,10,10,0.15)), color-stop(76%,rgba(78,78,78,0.15)), color-stop(87%,rgba(56,56,56,0.15)), color-stop(100%,rgba(27,27,27,0.15)));
    background: -webkit-linear-gradient(top,  rgba(149,149,149,0.15) 0%,rgba(13,13,13,0.15) 46%,rgba(1,1,1,0.15) 50%,rgba(10,10,10,0.15) 53%,rgba(78,78,78,0.15) 76%,rgba(56,56,56,0.15) 87%,rgba(27,27,27,0.15) 100%);
    background: -o-linear-gradient(top,  rgba(149,149,149,0.15) 0%,rgba(13,13,13,0.15) 46%,rgba(1,1,1,0.15) 50%,rgba(10,10,10,0.15) 53%,rgba(78,78,78,0.15) 76%,rgba(56,56,56,0.15) 87%,rgba(27,27,27,0.15) 100%);
    background: -ms-linear-gradient(top,  rgba(149,149,149,0.15) 0%,rgba(13,13,13,0.15) 46%,rgba(1,1,1,0.15) 50%,rgba(10,10,10,0.15) 53%,rgba(78,78,78,0.15) 76%,rgba(56,56,56,0.15) 87%,rgba(27,27,27,0.15) 100%);
    background: linear-gradient(to bottom,  rgba(149,149,149,0.15) 0%,rgba(13,13,13,0.15) 46%,rgba(1,1,1,0.15) 50%,rgba(10,10,10,0.15) 53%,rgba(78,78,78,0.15) 76%,rgba(56,56,56,0.15) 87%,rgba(27,27,27,0.15) 100%);
    -moz-border-radius: 0 2px 2px 0;
    -webkit-border-radius: 0 2px 2px 0;
    border-radius: 0 2px 2px 0;
    height: 50%;
    left: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    width: 13px;
    z-index: 1;
}

#slot-trigger .arm {
    background: #0d0d0d;
    background: -moz-linear-gradient(left, #0d0d0d 0%, #4e4e4e 47%, #383838 87%, #1b1b1b 100%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%,#0d0d0d), color-stop(47%,#4e4e4e), color-stop(87%,#383838), color-stop(100%,#1b1b1b));
    background: -webkit-linear-gradient(left, #0d0d0d 0%,#4e4e4e 47%,#383838 87%,#1b1b1b 100%);
    background: -o-linear-gradient(left, #0d0d0d 0%,#4e4e4e 47%,#383838 87%,#1b1b1b 100%);
    background: -ms-linear-gradient(left, #0d0d0d 0%,#4e4e4e 47%,#383838 87%,#1b1b1b 100%);
    background: linear-gradient(to right, #0d0d0d 0%,#4e4e4e 47%,#383838 87%,#1b1b1b 100%);
    -moz-border-radius: 0 0 4px 4px;
    -webkit-border-radius: 0 0 4px 4px;
    border-radius: 0 0 4px 4px;
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, 0.8);
    height: 70%;
    left: 14px;
    top: -40px;
    width: 8px;
    z-index: 3;
    overflow: visible !important;
}

#slot-trigger .arm .knob {
    background: #62AAF3;
    background: -moz-radial-gradient(center, ellipse cover, #69AEF3 0%, #1965C4 100%);
    background: -webkit-gradient(radial, center center, 0px, center center, 100%, color-stop(0%,#ff6363), color-stop(100%,#cf0404));
    background: -webkit-radial-gradient(center, ellipse cover, #69AEF3 0%,#1965C4 100%);
    background: -o-radial-gradient(center, ellipse cover, #69AEF3 0%,#1965C4 100%);
    background: -ms-radial-gradient(center, ellipse cover, #69AEF3 0%,#1965C4 100%);
    background: radial-gradient(ellipse at center, #69AEF3 0%,#1965C4 100%);
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 12px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.4);
    height: 25px;
    left: -9px;
    top: -20px;
    width: 25px;
    z-index: 4
}

#slot-trigger .arm-shadow {
    background: #000;
    -moz-border-radius: 10px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
    bottom: 64px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.4);
    height: 8px;
    left: 13px;
    top: auto;
    width: 10px;
    z-index: 2;
}

.slotTriggerDown {
    background-position: 0px -17px;
}
#slotTrigger.slotTriggerDisabled {
    background-position: 0px -34px;
    display: none;
}


/*
    Win Game
*/

#container {
    height: 230px;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
    top: -20px;
    left: -6px;
    width: 156px;
}

#container div { position: absolute; }

.pour {
    position: absolute;
    left: 45%;
    width: 20px;
    height: 0px;
    background-color: #edaf32;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    margin-top: 17px;
}

#beaker {
  border: 10px solid #FFF;
  border-top: 0;
  border-radius: 0 0 30px 30px;
  height: 110px;
  left: 14px;
  bottom: 0;
  width: 110px;
}

#beaker:before,
#beaker:after {
  border: 10px solid #FFF;
  border-bottom: 0;
  border-radius: 30px 30px 0 0;
  content: '';
  height: 30px;
  position: absolute;
  top: -40px;
  width: 30px;
}

#beaker:before { left: -50px; }
#beaker:after { right: -50px; }

#liquid {
  background-color: #edaf32;
  border: 10px solid #edaf32;
  border-radius: 0 0 20px 20px;
  bottom: 0;
  height: 0px;
  overflow: hidden;
  width: 90px;
}

#liquid:after {
  background-color: rgba(255, 255, 255, 0.25);
  bottom: -10px;
  content: '';
  height: 200px;
  left: -40px;
  position: absolute;
  transform: rotate(30deg);
  -webkit-transform: rotate(15deg);
  width: 110px;
}

#liquid .bubble {
  -webkit-animation-name: bubble;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
  background-color: rgba(255, 255, 255, 0.2);
  bottom: 0;
  border-radius: 10px;
  height: 20px;
  width: 20px;
}

@-webkit-keyframes bubble {
  0% { bottom: 0; }

   50% {
     background-color: rgba(255, 255, 255, 0.2);
      bottom: 80px;
   }

   100% {
     background-color: rgba(255, 255, 255, 0);
      bottom: 160px;
   }
}

.bubble1 {
  left: 10px;
  -webkit-animation-delay: 1000ms;
  -webkit-animation-duration: 1000ms;
}

.bubble2 {
  left: 50px;
  -webkit-animation-delay: 700ms;
  -webkit-animation-duration: 1100ms;
}

.bubble3 {
  left: 100px;
  -webkit-animation-delay: 1200ms;
  -webkit-animation-duration: 1300ms;
}

.bubble4 {
  left: 130px;
  -webkit-animation-delay: 1100ms;
  -webkit-animation-duration: 700ms;
}

.bubble5 {
  left: 170px;
  -webkit-animation-delay: 1300ms;
  -webkit-animation-duration: 800ms;
}

/* Foam */

.beer-foam {
  position: absolute;
  bottom: -1px;
  left: 4px;
}

.foam-1, .foam-2, .foam-3, .foam-4 {
  float: left;
  position: absolute;
  z-index: 999;
  width: 35px;
  height: 35px;
  border-radius: 80px;
  background-color: #fefefe;
  margin-left: 4px;
}
.foam-1 {
  top: -28px;
  left: -10px;
}
.foam-2 {
    top: -33px;
    left: 16px;
}
.foam-3 {
    top: -28px;
    left: 41px;
}
.foam-4 {
    top: -32px;
    left: 68px;
}
.foam-5 {
  top: -30px;
  left: 110px; 
}

/* Drunk Text */

.animated {
  -webkit-animation-fill-mode:both;
     -moz-animation-fill-mode:both;
          animation-fill-mode:both;
  
  -webkit-animation-duration:5s;
     -moz-animation-duration:5s;
          animation-duration:5s;
  
  -webkit-animation-delay:3.5s; 
     -moz-animation-delay:3.5s;
          animation-delay:3.5s;
}


.animated.drunk {
  -webkit-animation-duration:2s;
     -moz-animation-duration:2s;
          animation-duration:2s;
}

@-webkit-keyframes drunk {
    0% { 
    -webkit-transform: rotate(0); 
    -webkit-transform-origin: top left; 
    -webkit-animation-timing-function: ease-in-out; 
  }
  
  20%, 60% { 
    -webkit-transform: rotate(80deg); 
    -webkit-transform-origin: top left; 
    -webkit-animation-timing-function: ease-in-out; 
  } 
    40% { 
    -webkit-transform: rotate(60deg); 
    -webkit-transform-origin: top left; 
    -webkit-animation-timing-function: ease-in-out; 
  } 
  
    80% { 
    -webkit-transform: rotate(60deg) translateY(0);  
    -webkit-transform-origin: top left; 
    -webkit-animation-timing-function: ease-in-out;
    opacity: 1;
  } 
  
    100% {
      -webkit-transform: translateY(700px); 
    opacity: 0; 
  }
}

@-moz-keyframes drunk {
    0% { 
    -moz-transform: rotate(0); 
    -moz-transform-origin: top left; 
    -moz-animation-timing-function: ease-in-out; 
  }
  
    20%, 60% { 
    -moz-transform: rotate(80deg); 
    -moz-transform-origin: top left; 
    -moz-animation-timing-function: ease-in-out; 
  } 
  
    40% { 
    -moz-transform: rotate(60deg); 
    -moz-transform-origin: top left; 
    -moz-animation-timing-function: ease-in-out; 
  }
  
    80% {
      -moz-transform: rotate(60deg) translateY(0); opacity: 1; 
    -moz-transform-origin: top left; 
    -moz-animation-timing-function: ease-in-out; 
  }
  
    100% { 
    -moz-transform: translateY(700px); 
    opacity: 0; 
  }
}

@keyframes drunk {
    0% { 
    transform: rotate(0); 
    transform-origin: top left; 
    animation-timing-function: ease-in-out; 
  }
  
    20%, 60% { 
    transform: rotate(80deg); 
    transform-origin: top left; 
    animation-timing-function: ease-in-out; 
  }
  
    40% { 
    transform: rotate(60deg); 
    transform-origin: top left; 
    animation-timing-function: ease-in-out; 
  }
  
    80% { 
    transform: rotate(60deg) translateY(0); 
    opacity: 1; transform-origin: top left; 
    animation-timing-function: ease-in-out; 
  } 
    100% { 
    transform: translateY(700px); 
    opacity: 0; 
  }
}

.drunk {
    -webkit-animation-name: drunk;
    -moz-animation-name: drunk;
    animation-name: drunk;
}

